> ## Documentation Index
> Fetch the complete documentation index at: https://developer.gptmaker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Buscar contatos

> Busca todos os contatos



## OpenAPI

````yaml GET /v2/workspace/{workspaceId}/search
openapi: 3.0.1
info:
  title: OpenAPI GPT Maker
  description: Documentação completa da API do GPT Maker
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.gptmaker.ai
security:
  - bearerAuth: []
paths:
  /v2/workspace/{workspaceId}/search:
    get:
      description: Busca todos os contatos
      parameters:
        - name: page
          in: query
          description: Número da página
          schema:
            type: integer
            format: int32
        - name: pageSize
          in: query
          description: Tamanho da página
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: Retorno da requisição
          content:
            application/json:
              schema:
                type: object
                properties:
                  birthday:
                    type: integer
                    format: int64
                    nullable: true
                    description: Data de nascimento
                  gender:
                    type: string
                    description: Gênero do contato
                    nullable: true
                  phone:
                    type: string
                    description: Telefone
                    nullable: true
                  jobTitle:
                    type: string
                    description: Cargo
                  name:
                    type: string
                    description: Nome do contato
                    nullable: true
                  recipient:
                    type: string
                    description: Identificador único do chat dentro do canal
                  id:
                    type: string
                    description: Id do contato
                  picture:
                    type: string
                    description: Link da imagem de perfil do contato
                    nullable: true
                  email:
                    type: string
                    format: email
                    description: Email do contato
                    nullable: true
        '400':
          description: Erro inesperado
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Erro de token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
    Error403:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````